require 'rails'

module AssetManagement
  class Engine < ::Rails::Engine
    isolate_namespace AssetManagement

    #config.autoload_paths << File.expand_path("../validators", __FILE__)

    config.generators do |g|
      g.test_framework :rspec, :fixture_replacement => :factory_girl, :views => false, :helper => true
      g.view_specs false
      g.helper_specs true
      g.fixture_replacement :factory_girl, :dir => 'spec/factories'
    end
  end
end
